// Project Lab - NHTV Igad

#pragma once

#include "Creatures/EnemyBase.h"
#include "OffensiveEnemy.generated.h"

/**
 * 
 */
UCLASS()
class UNREALPROJECT_API AOffensiveEnemy : public AEnemyBase
{
	GENERATED_BODY()
	
public:
	AOffensiveEnemy();
	virtual void BeginPlay() override;
	virtual void EndPlay(const EEndPlayReason::Type EndPlayReason) override;
	virtual void Tick(float deltaTime) override;
	virtual int32 NativeDealDamage(class ANetworkCharacter* dealer, int32 damage, float armorPercentageIgnore, class UAbilityInfo* ability) override;
	void BasicBehavior();
	void GeneralBehavior();
};
